network
Update the profile of a given nmconnection
Update the profile of a given nmconnection
curl --request POST \
--url https://api.example.com/api/network/update_connection_profile \
--header 'Content-Type: application/json' \
--data '
{
"ip_addresses": [
{
"address": "<string>",
"prefix": 123
}
],
"gateway": "<string>",
"method": "unknown",
"dns": [
"<string>"
],
"never_default": true
}
'import requests
url = "https://api.example.com/api/network/update_connection_profile"
payload = {
"ip_addresses": [
{
"address": "<string>",
"prefix": 123
}
],
"gateway": "<string>",
"method": "unknown",
"dns": ["<string>"],
"never_default": True
}
headers = {"Content-Type": "application/json"}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({
ip_addresses: [{address: '<string>', prefix: 123}],
gateway: '<string>',
method: 'unknown',
dns: ['<string>'],
never_default: true
})
};
fetch('https://api.example.com/api/network/update_connection_profile', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Query Parameters
Body
application/json
Response
Successful Response
The response is of type Response Update Connection Profile Api Network Update Connection Profile Post · object.
Was this page helpful?
⌘I
Update the profile of a given nmconnection
